This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803410 - [RFE] SAM should allow users to select the YStream for managed systems
[RFE] SAM should allow users to select the YStream for managed systems
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.X
Assigned To: Tom McKay
SAM QE List
: FutureFeature, Triaged
Depends On: 818477
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-03-14 12:32 EDT by Bryan Kearney
Modified: 2012-08-22 09:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 09:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Y-stream release version available on System Detail page SAM GUI (141.12 KB, image/png)
2012-05-14 07:13 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Bryan Kearney 2012-03-14 12:32:58 EDT
SAM should be able to configure the YStream for systems which support this feature in subscription manager.
Comment 2 Tom McKay 2012-04-09 13:12:05 EDT
commit 36c7bce8e35423d7c84d99f68156569f74374c95
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Mon Apr 9 13:06:41 2012 -0400

    803410 - Y-stream release version is now available on System Details page
    + If no specific release version is specified (value of "") then "System Default" is displayed.
    + For Katello, release version choices come from enabled repos in the system's environment. For Headpin, choices are all available in the Library environment.


For automated testing:
Katello - Import a manifest and enable repos in several different versions (eg. 6Server, 6.2), then on System Details page note the "Release Version" editable field. The choices in the drop-down choice box should be the same as the enabled repos.
Headpin - Import a manifest, but not difference from Katello in the choices: Headpin should have all release versions present in the manifest visible.
Comment 3 Tazim Kolhar 2012-05-14 07:13:41 EDT
Created attachment 584334 [details]
Y-stream release version available on System Detail page SAM GUI

VERIFIED with the build :

[root@dhcp201-195 ~]# rpm -qa | grep katello
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-common-0.3.1-1.el6_2.noarch
katello-headpin-0.2.6-4.el6_2.noarch
katello-glue-candlepin-0.3.1-1.el6_2.noarch
katello-cli-common-0.3.2-3.el6_2.noarch
katello-headpin-all-0.2.6-4.el6_2.noarch
katello-configure-0.3.3-2.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch


Steps:

After importing the manifests verified the System Details page
the "Release Version" editable
field. The choices in the drop-down choice box are same as the
enabled repos.

Note You need to log in before you can comment on or make changes to this bug.